Page MenuHomePhabricator

Cross-wiki search profile issues
Closed, ResolvedPublic

Description

What it says on the tin. Error reported:

[{exception_id}] {exception_url} CirrusSearch\Search\InvalidRescoreProfileException from line 208 of /srv/mediawiki/php-1.31.0-wmf.17/extensions/CirrusSearch/includes/Search/RescoreBuilders.php: Unknown fallback profile: wsum_inclinks

Event Timeline

demon created this task.Feb 7 2018, 11:52 PM
demon triaged this task as Unbreak Now! priority.
Restricted Application added projects: Discovery, Discovery-Search. · View Herald TranscriptFeb 7 2018, 11:52 PM
Restricted Application added subscribers: Liuxinyu970226, Jay8g, TerraCodes, Aklapper. · View Herald Transcript

Change 408937 had a related patch set uploaded (by EBernhardson; owner: Smalyshev):
[mediawiki/extensions/CirrusSearch@master] Add special handling for profiles into config dump

https://gerrit.wikimedia.org/r/408937

Change 408937 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Add special handling for profiles into config dump

https://gerrit.wikimedia.org/r/408937

Change 408953 had a related patch set uploaded (by EBernhardson; owner: Smalyshev):
[mediawiki/extensions/CirrusSearch@wmf/1.31.0-wmf.20] Add special handling for profiles into config dump

https://gerrit.wikimedia.org/r/408953

Change 408953 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@wmf/1.31.0-wmf.20] Add special handling for profiles into config dump

https://gerrit.wikimedia.org/r/408953

Mentioned in SAL (#wikimedia-operations) [2018-02-08T00:32:59Z] <ebernhardson@tin> Synchronized php-1.31.0-wmf.20/extensions/CirrusSearch/: T186765: Add special handling for profiles into config dump (duration: 01m 27s)

Given the error report is from wmf.17, does this need backporting there?

No, should not require backporting, it's because of .17 <-> .20 interaction.

Smalyshev closed this task as Resolved.Feb 8 2018, 1:09 AM
Smalyshev claimed this task.

Should be fixed now in .20.

The problem was due to the initial deployment of the refactoring of profile management in cirrus. I failed to anticipate this problem, the problem would have been fixed by rolling out .20 to group2 wikis. The fix provided by Stas is the right one for this situation, in theory it could be reverted once wmf20 is deployed everywhere (but not strictly needed).
The difficulty here (with crosswiki searches) is that an old version (group2) is accessing config from a new version (group1), this means that when we refactor we don't have to think about back compat issues in term of code deployed in the new branch but back compat of the config generated by the new code.
This makes testing this kind of issues very hard, we would have to run searches with version N-1 of the code with the config generated with version N.
Anyways, I apologize for the troubles this has caused, thanks Stas and Erik for the quick fix.